import apwidgets.*;  //you will need to download and install apwidgets

APMediaPlayer player; //an instance of mediaPlayer

APWidgetContainer widgetContainer; //the controller for the system widgets
APButton button1;  //instances of the buttons
APButton button2;

void setup() {
  widgetContainer = new APWidgetContainer(this); //create new container for widgets
  button1 = new APButton(10, 40, "Play"); //create new button from x- and y-pos. and label. size determined by text content
  button2 = new APButton(10, 120, "Stop");
  widgetContainer.addWidget(button1); //place button in container
  widgetContainer.addWidget(button2);
  
  player = new APMediaPlayer(this); //create new APMediaPlayer
  player.setMediaFile("ANewError.mp3"); //set the file (files are in data folder)
  player.setLooping(true); //restart playback when end reached
  player.setVolume(1.0, 1.0); //Set left and right volumes. Range is from 0.0 to 1.0

}

void draw() {
  background(0); //set black background
  text(player.getDuration(), 10, 10); //display the duration of the sound
  text(player.getCurrentPosition(), 10, 30); //display how far the sound has played
}


//The MediaPlayer must be released when the app closes
public void onDestroy() {

  super.onDestroy(); //call onDestroy on super class
  if(player!=null) { //must be checked because or else crash when return from landscape mode
    player.release(); //release the player
  }
}





//onClickWidget is called when a widget is clicked/touched
void onClickWidget(APWidget widget){
  
  if(widget == button1){ //if it was button1 that was clicked
    player.start(); //set the smaller size
  }else if(widget == button2){ //or if it was button2
    player.pause(); //set the bigger size
  }
}
